# Gets inactive users GET https://app.unleash-instance.example.com/api/admin/user-admin/inactive Gets all inactive users. An inactive user is a user that has not logged in in the last 180 days Reference: https://docs.getunleash.io/api/get-inactive-users ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Gets inactive users version: endpoint_users.getInactiveUsers paths: /api/admin/user-admin/inactive: get: operationId: get-inactive-users summary: Gets inactive users description: >- Gets all inactive users. An inactive user is a user that has not logged in in the last 180 days tags: - - subpackage_users parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: inactiveUsersSchema content: application/json: schema: $ref: '#/components/schemas/inactiveUsersSchema' components: schemas: inactiveUserSchema: type: object properties: id: type: integer description: The user id name: type: - string - 'null' description: Name of the user email: type: string description: Email of the user username: type: - string - 'null' description: A unique username for the user seenAt: type: - string - 'null' format: date-time description: The last time this user logged in createdAt: type: string format: date-time description: The user was created at this time patSeenAt: type: - string - 'null' format: date-time description: The last time this user's PAT token (if any) was used required: - id inactiveUsersSchema: type: object properties: version: type: integer description: The version of this schema. Used to keep track of compatibility inactiveUsers: type: array items: $ref: '#/components/schemas/inactiveUserSchema' description: The list of users that are flagged as inactive required: - version - inactiveUsers ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/user-admin/inactive" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/user-admin/inactive'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/user-admin/inactive" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/user-admin/inactive") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/user-admin/inactive") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/user-admin/inactive', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/user-admin/inactive"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/user-admin/inactive")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```